cask :v1 => 'malwarebytes-anti-malware' do
  version '1.0.2.8'
  sha256 '065d31d146031074b4e249a8994fffedf589fffbc114ad3c6bb98c2195878de4'

  # mbamupdates.com is the official download host per the vendor homepage
  url "https://data-cdn.mbamupdates.com/v1/mbam-mac/data/mbam-mac-#{version}.zip"
  name 'Malwarebytes Anti-Malware for Mac'
  name 'AdwareMedic'
  appcast 'https://data-cdn.mbamupdates.com/v1/mbam-mac/updates.xml',
          :sha256 => '065d31d146031074b4e249a8994fffedf589fffbc114ad3c6bb98c2195878de4',
          :format => :sparkle
  homepage 'https://www.malwarebytes.org/antimalware/mac/'
  license :gratis

  app 'Malwarebytes Anti-Malware.app'

  zap :delete => [
                  '~/Library/Preferences/com.malwarebytes.antimalware.plist',
                  '~/Library/Caches/com.malwarebytes.antimalware',
                  '~/Library/Application Support/com.malwarebytes.antimalware',
                  '~/Library/Saved Application State/com.malwarebytes.antimalware.savedState'
                 ]

  depends_on :macos => '>= :lion'
end
